GET /v1/api-keys/requests
List recent API request audit logs for the current organization

Query Parameters

limit integer optional query
Number of items (default 20, max 100)
offset integer optional query
Offset for pagination (default 0)
serviceAccountId string optional query
Filter by service account ID
apiKeyId string optional query
Filter by API key ID

Responses

200 OK
application/json
code integer
data object
hasMore boolean
items object[]
Array of:
apiKeyId string
clientIp string
createdAt string
durationMs integer
id string
method string
organizationId string
path string
principalId string
principalType string
requestId string
routePattern string
serviceAccountId string
statusCode integer
userAgent string
userId string
limit integer
offset integer
message string
requestId string
400 Bad Request
curl -X GET 'https://api.example.com/v1/api-keys/requests' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/api-keys/requests', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/api-keys/requests', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/api-keys/requests", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 200,  "data": {    "hasMore": true,    "items": [      {        "apiKeyId": "<string>",        "clientIp": "<string>",        "createdAt": "<string>",        "durationMs": 123,        "id": "<string>",        "method": "<string>",        "organizationId": "<string>",        "path": "<string>",        "principalId": "<string>",        "principalType": "<string>",        "requestId": "<string>",        "routePattern": "<string>",        "serviceAccountId": "<string>",        "statusCode": 123,        "userAgent": "<string>",        "userId": "<string>"      }    ],    "limit": 123,    "offset": 123  },  "message": "success",  "requestId": "abc-123"}
Ask a question... ⌘I